News: When asking for support, it helps us and you, if you read the Posting Guidelines

Login  |  Register
* *
TinyPortal on Twitter
Welcome, Guest. Please login or register.
Did you miss your activation email?
December 12, 2017, 08:20:51 PM

Login with username, password and session length

Recent

Members
  • Total Members: 3697
  • Latest: Ironmad
Stats
  • Total Posts: 181646
  • Total Topics: 20371
  • Online Today: 78
  • Online Ever: 383
  • (January 02, 2015, 05:58:49 AM)
Users Online
Users: 1
Guests: 45
Total: 46

Skinz





Author Topic: db_query error on 2.0.14 installation  (Read 2611 times)

0 Members and 1 Guest are viewing this topic.

Offline coyoteboy

  • Jr. Member
  • **
  • Posts: 13
Re: db_query error on 2.0.14 installation
« Reply #10 on: October 09, 2017, 04:06:21 AM »
So I've decided to try to manually uninstall TP from this site (due to the corrupted nature of it). Naturally I can go in via phpmyadmin and remove all tp_ tables from the database, and bin all folders in the forum tree, but I don't know what else exists and would need to be flushed to effectively start from a fresh installation place. Is there a list of changes that TP makes when it installs? If I delete the tables, folders and any tp_ file I find, given that I think I've probably over-written anything tp related in the base forum phps with 2.0.14 files, should this be safe? I scanned through things like Settings.php and others and can't actually find any internal references to tp.

Offline lurkalot

  • Administrator
  • *
  • Posts: 3761
    • Camera Craniums
Re: db_query error on 2.0.14 installation
« Reply #11 on: October 09, 2017, 10:26:36 AM »
So you're getting rid of TP and not reinstalling it?

If that's the case, did you check the box "Remove all data associated with this modification" when you uninstalled TP?  Only do this if you're not going to reinstall TP.
Mick aka lurkalot.  Running TP1.2 and TP1.2R

Camera Craniums Running SMF 2.0.13 / Tinyportal 1.2
Guitarist Guild Running SMF 2.0.13 / Tinyportal 1.2R Beta
The Garden Machinery Forum Running SMF 2.0.13 / Tinyportal 1.2R Beta

Offline coyoteboy

  • Jr. Member
  • **
  • Posts: 13
Re: db_query error on 2.0.14 installation
« Reply #12 on: October 09, 2017, 10:58:34 AM »
Not exactly, no. I'm going to re-instate it but you said not to install over the top of an old install. However it's physically impossible for me to uninstall it using the normal method because I wasn't aware I had to uninstall it before upgrading from SMF 1.0.9 to SMF 2.0.14 and so it's lost any link to the original install in the upgrade process. In summary:

  • 1.0.9 - Forum had TP 0.9 installed but needed porting to new server. New server ran new PHP7 so needed to upgrade SMF to 2.0.14.
  • Upgraded to SMF to 2.0.14, no trace of TP visible other than package list, showing as not installed.
  • Didnt know I needed to uninstall TP to do the upgrade, so left it all installed
  • Tried to upgrade TP to 1.3 - errors all over the show, looked to find out why - hadn't uninstalled TP 0.9
  • Now stuck with TP 0.9 database features and some php files but no reference to TP in the main forum PHP, and want to install TP 1.3




Offline lurkalot

  • Administrator
  • *
  • Posts: 3761
    • Camera Craniums
Re: db_query error on 2.0.14 installation
« Reply #13 on: October 09, 2017, 12:07:18 PM »
So if you are running SMF 2.0.14 and emulate to SMF 2.0.9 in the package manager, the uninstall link wasn't showing? 

https://wiki.simplemachines.org/smf/How_can_I_install_a_mod_that_doesn%27t_work_in_my_SMF_version (same applies to uninstalling.
Mick aka lurkalot.  Running TP1.2 and TP1.2R

Camera Craniums Running SMF 2.0.13 / Tinyportal 1.2
Guitarist Guild Running SMF 2.0.13 / Tinyportal 1.2R Beta
The Garden Machinery Forum Running SMF 2.0.13 / Tinyportal 1.2R Beta

Offline coyoteboy

  • Jr. Member
  • **
  • Posts: 13
Re: db_query error on 2.0.14 installation
« Reply #14 on: October 09, 2017, 12:25:37 PM »
With emulate SMF 1.0.9 and TP 1.3 I get no "install mod" link (expected, I think)
when I upgraded from 1.0.9 to 2.0.14 I also lost that "install mod" link from TP 0.9, but also had no "uninstall" option - this was what scuppered me.

Online illori

  • Administrator
  • *
  • Posts: 1788
Re: db_query error on 2.0.14 installation
« Reply #15 on: October 09, 2017, 03:43:51 PM »
when you upgrade SMF, it uninstalls all mods. do if you had all clean files from the install, no mods would be installed and you can just go ahead and install TP. if you have now partly removed TP and some may still exist you just need to make sure no file edits exist and install TP.

Offline coyoteboy

  • Jr. Member
  • **
  • Posts: 13
Re: db_query error on 2.0.14 installation
« Reply #16 on: October 10, 2017, 01:03:40 AM »
OK with that thought in mind I scanned all files for reference of the TP mod and found nothing. I then tried to install TP 1.3, which worked to the extent that I got access to the TP admin centre and all went through without showing any errors, but when I go to the root of the forum URL I got:

Expression #9 of SELECT list is not in GROUP BY clause and contains nonaggregated column 'sjbpepms_smf1.a.id_attach' which is not functionally dependent on columns in GROUP BY clause; this is incompatible with sql_mode=only_full_group_by
File: <somepathinfo>forum/Sources/TPortal.php
Line: 1639

So I uninstalled it, dropped all existing tp_ tables from the database and re-installed, with the same result.

Reading this:
https://dev.mysql.com/doc/refman/5.7/en/group-by-handling.html

It looks like I want to keep that enabled, but it seems like this is more fundamental to the TP code than just a server mode setting. Can anyone advise?

Offline coyoteboy

  • Jr. Member
  • **
  • Posts: 13
Re: db_query error on 2.0.14 installation
« Reply #17 on: October 21, 2017, 03:24:17 PM »
OK I'm confused. The download page clearly says it's PHP7.1 compatible, but fails due to 7's only_group_by mode.

Is this something that's been missed or something that my installation has messed up?

Offline lurkalot

  • Administrator
  • *
  • Posts: 3761
    • Camera Craniums
Re: db_query error on 2.0.14 installation
« Reply #18 on: October 21, 2017, 04:58:15 PM »
OK I'm confused. The download page clearly says it's PHP7.1 compatible, but fails due to 7's only_group_by mode.

Is this something that's been missed or something that my installation has messed up?

Could you please attach the TP zip that you're trying to install, and I'll check that all the edits were added.  It is quite possible I missed one somewhere.   
Mick aka lurkalot.  Running TP1.2 and TP1.2R

Camera Craniums Running SMF 2.0.13 / Tinyportal 1.2
Guitarist Guild Running SMF 2.0.13 / Tinyportal 1.2R Beta
The Garden Machinery Forum Running SMF 2.0.13 / Tinyportal 1.2R Beta

Offline coyoteboy

  • Jr. Member
  • **
  • Posts: 13
Re: db_query error on 2.0.14 installation
« Reply #19 on: October 21, 2017, 05:39:20 PM »
Hi, Sure! Here's the zip.